/****************************************************************************
 
  Header file for UV_Pulse
  based on the Gen 2 Events and Services Framework

 ****************************************************************************/

#ifndef UV_Pulse_H
#define UV_Pulse_H

// Event Definitions
#include "ES_Configure.h" /* gets us event definitions */
#include "ES_Types.h"     /* gets bool type for returns */

// typedefs for the states
// State definitions for use with the query function
typedef enum { WG_Shooting, WG_Ready2Shoot, WG_Hit, WG_Idle} UVState_t ;

// Public Function Prototypes

bool InitWaterGun(uint8_t Priority);
bool PostWaterGun(ES_Event ThisEvent);
bool CheckPulse(void);
bool CheckTrigPull(void);
ES_Event RunWaterGun( ES_Event ThisEvent );

#endif /* UV_Pulse_H */
